	SUBROUTINE CLEAR
C***********************************************************
C
C  THIS ROUTINE IS USED TO RE-INITIALIZE THE CHARACTER
C  DISPLAY FILE(CDF.) IN THE GT40. THIS IS SOMETIMES USEFUL
C  IN ORDER TO SEE OTHER DISPLAYS MORE CLEARY. A CLEAR
C  IS PREFERRED TO A DISABLE OF CDF. BECAUSE WHEN THE
C  CDF. IS DISABLED YOU WON'T BE ABLE TO SEE ANY OUTPUT
C  UNTIL THE DISPLAY IS RE-ENABLED. WITH A CLEAR THE CDF.
C  WILL REMAIN CLEAR UNTIL OUTPUT IS DONE.
C
C  POSSIBLE ERRORS:
C	?INVALID REPLY TO A CLEAR
C
C  ROUTINES CALLED:
C	SEND   - SENDS A COMMAND TO THE GT40
C	GET    - RECEIVES A STATUS TRANSMISSION FROM THE GT40
C	ERROR  - ERROR LOGGING ROUTINE
C
C***********************************************************
	IMPLICIT INTEGER (A - Z)

100	CALL SEND(14, 0, 0, 0)
	CALL GET(STATUS, X, Y, DNUM)
	IF(STATUS .EQ. "66) GO TO 100
	IF(STATUS .EQ. 0) RETURN

	CALL ERROR('?INVALID REPLY TO CLEAR, STATUS =',STATUS)
	RETURN
	END
